Bug 122259 - ruby cannot be installed / KeyError in GroupSet.py
ruby cannot be installed / KeyError in GroupSet.py
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 11:05 EDT by Laurent GUERBY
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent GUERBY 2004-05-02 11:05:26 EDT
Description of problem:
Impossible to select ruby in the development packages
using system-config-packages, a python exception
is raised when trying to select ruby. All other
dev packages can be selected and install fine.

Additional info:
Traceback (most recent call last):
  File "/usr/share/system-config-packages/GroupDetails.py", line 171,
in renderer_toggled
    self.component.selectPackage(package.nevra())
  File "/usr/share/system-config-packages/GroupSet.py", line 794, in
selectPackage
    pkg = self.packages[pkgnevra]
KeyError: 'ruby-0:1.8.1-2.1.i386'
Traceback (most recent call last):
  File "/usr/share/system-config-packages/GroupDetails.py", line 171,
in renderer_toggled
    self.component.selectPackage(package.nevra())
  File "/usr/share/system-config-packages/GroupSet.py", line 794, in
selectPackage
    pkg = self.packages[pkgnevra]
KeyError: 'ruby-0:1.8.1-2.1.i386'
Comment 1 Jeremy Katz 2004-05-03 14:13:05 EDT
What version of system-config-packages do you have installed?
Comment 2 Laurent GUERBY 2004-05-03 14:25:02 EDT
system-config-packages-1.2.12-1
(the one that comes from the ISO).
Comment 3 Jeremy Katz 2005-09-21 15:49:18 EDT
This is fixed in newer versions of r-c-p

Note You need to log in before you can comment on or make changes to this bug.